{define_derivative name='carousel' width='300' height='300' min_width='300'}


{html_style}
.jcarousel-skin-cat .jcarousel-list li{ldelim}
	min-width:{$carousel->max_width()}px;
{/html_style}

<div id="carouselcat">

<div id="wrap">
	  <ul id="carousel" class="jcarousel-skin-cat">

		{foreach from=$category_thumbnails item=cat}


			<li>
					<div class="illustration">
						<a href="{$cat.URL}">
							<img src="{$pwg->derivative_url($carousel, $cat.representative.src_image)}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '|@strip_tags:false} - {'display this album'|@translate}" min-width="{$carousel->max_width()}" height="{$carousel->max_height()}"/>
							<div class="CatMPdescription">
								<h3>
									{$cat.NAME}
									{if !empty($cat.icon_ts)}
									<img title="{$cat.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent{if $cat.icon_ts.IS_CHILD_DATE}_by_child{/if}.png" alt="(!)">
									{/if}
								</h3>
								
								{if isset($cat.INFO_DATES) }
								<p class="dates">{$cat.INFO_DATES}</p>
								{/if}
								<p class="Nb_images">{$cat.CAPTION_NB_IMAGES}</p>
								{if not empty($cat.DESCRIPTION)}
								<p>{$cat.DESCRIPTION}</p>
								{/if}
							</div>
						</a>
					</div>
			</li>
		{/foreach}
	</ul>
{footer_script}{literal}
function mycarousel_initCallback(carousel)
{
// Disable autoscrolling if the user clicks the prev or next button.
    carousel.buttonNext.bind('click', function() {
        carousel.startAuto(1);
    });

    carousel.buttonPrev.bind('click', function() {
        carousel.startAuto(0);
    });
	
	
    // Pause autoscrolling if the user moves with the cursor over the clip.
    carousel.clip.hover(function() {carousel.stopAuto();}, 
						function() {carousel.startAuto();}
						);
};

jQuery(document).ready(function() {
    jQuery('#carousel').jcarousel({
    	auto: 1,
		wrap: 'circular',
		scroll: 2,
		animation: 2000,
		initCallback: mycarousel_initCallback,
		
    });
});
{/literal}{/footer_script}
</div>
</div>

